summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-05-13 17:38:31 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-05-13 17:38:31 +0000
commit3be824ad16a972f29eaa100544a1fdfddb344258 (patch)
tree023996d68d097b412d670f5677342f51ef0ebf71 /ci
parentb580a13a9d7bd0234ffc94f92ecedf859d50b17f (diff)
parentfbfff35468e2843d2df4209cf376fd34da25a6ab (diff)
Merge "modfiied as per specs from intel pod6 page and real experience."
Diffstat (limited to 'ci')
-rwxr-xr-xci/01-deploybundle.sh2
-rwxr-xr-xci/02-maasdeploy.sh10
-rwxr-xr-xci/maas/intel/pod9/deployment.yaml12
3 files changed, 15 insertions, 9 deletions
diff --git a/ci/01-deploybundle.sh b/ci/01-deploybundle.sh
index 44bbe9df..9d11e2f7 100755
--- a/ci/01-deploybundle.sh
+++ b/ci/01-deploybundle.sh
@@ -69,7 +69,7 @@ case "$3" in
# choose the correct interface to use for data network
sed -i -- 's/#os-data-network: 10.4.8.0\/21/os-data-network: 10.9.12.0\/24/g' ./bundles.yaml
# Choose the external port to go out from gateway to use.
- sed -i -- 's/#ext-port: "eth1"/ext-port: "eth5"/g' ./bundles.yaml
+ sed -i -- 's/#ext-port: "eth1"/ext-port: "eth1.905"/g' ./bundles.yaml
# Provide the gateway MAC to route the traffic externally.
sed -i -- 's/#gateway-mac: "default"/gateway-mac: "default"/g' ./bundles.yaml
;;
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index d08b9004..9f48bd94 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -209,8 +209,14 @@ case "$1" in
;;
'intelpod9' )
maas refresh
- enableautomodebyname eth4 AUTO "10.9.12.0/24" compute || true
- enableautomodebyname eth4 AUTO "10.9.12.0/24" control || true
+ crvlanupdsubnet vlan902 1 "DataNetwork" 902 2 || true
+ crvlanupdsubnet vlan905 2 "PublicNetwork" 905 3 || true
+ crnodevlanint $vlan902 eth0 || true
+ crnodevlanint $vlan905 eth1 || true
+ enableautomodebyname eth0.902 AUTO "10.9.12.0/24" compute || true
+ enableautomodebyname eth1.905 AUTO "10.9.15.0/24" compute || true
+ enableautomodebyname eth0.902 AUTO "10.9.12.0/24" control || true
+ enableautomodebyname eth1.905 AUTO "10.9.15.0/24" control || true
;;
'orangepod1' )
maas refresh
diff --git a/ci/maas/intel/pod9/deployment.yaml b/ci/maas/intel/pod9/deployment.yaml
index 4b03abd0..b11f1ee7 100755
--- a/ci/maas/intel/pod9/deployment.yaml
+++ b/ci/maas/intel/pod9/deployment.yaml
@@ -145,8 +145,8 @@ demo-maas:
# Defines the physical nodes which are added to the MAAS cluster
# controller upon startup of the node.
nodes:
- - name: node1-control
- tags: control
+ - name: node1-compute
+ tags: compute
architecture: amd64/generic
mac_addresses:
- "00:1E:67:D4:30:38"
@@ -160,11 +160,11 @@ demo-maas:
# mac_address: "38:63:bb:43:b8:9c"
# requested_address: 192.168.122.5
- - name: node4-compute
+ - name: node2-compute
tags: compute
architecture: amd64/generic
mac_addresses:
- - "00:1E:67:D4:33:A2"
+ - "00:1E:67:D4:33:A3"
power:
type: ipmi
address: 10.2.117.144
@@ -175,8 +175,8 @@ demo-maas:
# mac_address: "38:63:bb:43:b8:9c"
# requested_address: 192.168.122.5
- - name: node5-compute
- tags: compute
+ - name: node3-control
+ tags: control
architecture: amd64/generic
mac_addresses:
- "00:1E:67:D4:2F:BA"